%define name mozplugger
%define version 1.5.2
%define release alt1

Summary: A generic mozilla plug-in
Summary(ru_RU.KOI8-R):    mozilla
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
URL: http://mozplugger.mozdev.org
License: GPL
Group: Networking/WWW
Requires: mozilla

# Automatically added by buildreq on Mon Sep 22 2003
BuildRequires: XFree86-devel

%description
MozPlugger is a generic Mozilla plug-in that allows the use of standard Linux
programs as plug-ins for media types on the Internet.

%description -l ru_RU.KOI8-R
MozPlugger -       mozilla,
    Linux (  ) 
       Internet.  

%pre
if [ ! -d %_libdir/mozilla ]; then
ln -s %_libdir/mozilla-* %_libdir/mozilla
fi

%prep
%setup -q
#ugly hack for proper installation
perl -pi -e 's|\/etc|\$\(sysconfdir\)|' Makefile

%build
%make_build linux

%install
%makeinstall

%files
%_sysconfdir/mozpluggerrc
%_bindir/mozplugger-*
%_libdir/mozilla/plugins/mozplugger.so
%_mandir/man7/mozplugger.7*

%changelog
* Mon Apr 05 2004 LAKostis <lakostis at altlinux dot ru> 1.5.2-alt1
- new version

* Sat Feb 21 2004 LAKostis <lakostis at altlinux dot ru> 1.5.0-alt1
- new version
- add russian traslation of description

* Tue Oct 07 2003 LKS <lakostis at altlinux dot ru> 1.3.2-alt1.2
- fixed typo in changelog.

* Mon Sep 22 2003 LAKostis <lakostis at altlinux dot ru> 1.3.2-alt1.1
- fixed buildreq.

* Thu Sep 18 2003 LAKostis <lakostis@altlinux.ru> 1.3.2-alt1
- 1.3.2 release.
- spec cleanups.

* Thu Jun 12 2003 LAKostis <lakostis@altlinux.ru> 1.2.0-alt1
- rebuild for Sisyphus.
